defmodule Frenzy.PipelineStage do
  use Ecto.Schema
  import Ecto.Changeset

  schema "pipeline_stages" do
    field :index, :integer
    field :module_name, :string
    field :options, :map

    belongs_to :feed, Frenzy.Feed

    timestamps()
  end

  def changeset(stage, attrs) do
    stage
    |> cast(attrs, [:index, :module_name, :options])
    |> validate_required([:index, :module_name])
  end
end
